Download it now!
Bug 78492 - FILESAVE: RTF - Bullet character not saved with correct font
Summary: FILESAVE: RTF - Bullet character not saved with correct font
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.6.7.2 release
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: Confirmed:4.2.4.2:OSX
Keywords: filter:rtf
Depends on:
Blocks: RTF-Bullet-Number-Lists
  Show dependency treegraph
 
Reported: 2014-05-09 15:01 UTC by Yousuf Philips (jay) (retired)
Modified: 2018-10-01 02:53 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
shows how the bullet was before saving it to rtf and afterwards (130.03 KB, image/jpeg)
2014-05-09 15:01 UTC, Yousuf Philips (jay) (retired)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) (retired) 2014-05-09 15:01:33 UTC
Created attachment 98765 [details]
shows how the bullet was before saving it to rtf and afterwards

I download the .docx file found at < http://download.microsoft.com/documents/uk/partner/publicsector/DraftMicrosoftResponsetoGovernment.docx > and opened it in LibO and saved it as an RTF. Then i reopened the RTF file and on page 17, the bullet points have turned into other characters. This was tested in Linux Mint on the last releases of 3.6 to 4.2 and 4.3 alpha. In LibO 3.6 and word 2010, the bullet shows as a '?', while other LibO versions shows it as two weird characters, as shown in the attachment.
Comment 1 retired 2014-05-10 07:20:24 UTC
Confirmed:4.2.4.2:OSX 10.9.2 -> NEW

save docx test file as rtf with LO and re-open -> bullet points become strange characters.
Comment 2 Robinson Tryon (qubit) 2015-12-14 11:26:41 UTC Comment hidden (obsolete)
Comment 3 QA Administrators 2017-01-03 19:46:56 UTC Comment hidden (obsolete)
Comment 4 Yousuf Philips (jay) (retired) 2017-09-30 14:08:17 UTC
The bullet currently appears correctly in libreoffice, but Word still shows it as a question mark in a box. It does so as the bullet is set to the Calibri font in Word, while LO shows it with the Symbol font.

Version: 6.0.0.0.alpha0+
Build ID: 8d2a287da3abb0576512406227d0a3acd602123e
CPU threads: 2; OS: Linux 4.4; UI render: default; VCL: gtk2; 
Locale: en-US (en_US.UTF-8); Calc: group
Comment 5 QA Administrators 2018-10-01 02:53:49 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug